/*
 * ExNihilo 3D Engine
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Please read AUTHORS file !!!
 * 

 *
 */

float lightPosition[] = {0.0f, 60.0f,0.0f, 1.0f};		// Holds our light position
float lightAmbient[]  = {0.5f, 0.5f, 0.5f, 1.0f};		// Ambient light
float lightDiffuse[]  = {10.0f, 10.0f, 10.0f, 1.0f};	// Diffuse light
float lightSpecular[] = {10.0f, 10.0f, 10.0f, 1.0f};	// Specular light

float floorColor[]	  = {1.0f,1.0f,1.0f,0.7f};			// Floor material color alpha = 0.7f


#include "ExCMeshWaterEffect.h"

ExCMeshWaterEffect::ExCMeshWaterEffect()
{
Guard(ExCMeshWaterEffect::ExCMeshWaterEffect())
	SetName("ExCMeshWaterEffect");
	SetType(typeid(this).name());
	m_CurrentAnimationTexture=0;
UnGuard
}

ExCMeshWaterEffect::~ExCMeshWaterEffect()
{
Guard(ExCMeshWaterEffect::~ExCMeshWaterEffect())
UnGuard
}


void ExCMeshWaterEffect::Draw(void)
{
Guard(void ExCMeshWaterEffect::Draw(void))

UnGuard
}

bool ExCMeshWaterEffect::Load(std::string FileName)
{
Guard(bool ExCMeshWaterEffect::Load(std::string FileName))

UnGuard
}

